# Method upper_case()

Method upper_case

  ``string` upper_case(`string` `s`)`
  ``int` upper_case(`int` `c`)`

Description

  Convert a string or character to upper case.

Returns

  Returns a copy of the string `s` with all lower case characters converted to upper case, or the character `c` converted to upper case.

Note

  Assumes the string or character to be coded according to ISO-10646 (aka Unicode). If they are not, Charset.decoder can do the initial conversion for you.

Note

  Prior to Pike 7.5 this function only accepted strings.

See also

  lower_case(), Charset.decoder